Monitoring::Plugin::Threshold(3)

NAME
Monitoring::Plugin::Threshold - class for handling Monitoring::Plugin thresholds.

SYNOPSIS
    # NB: This is an internal Monitoring::Plugin class.
    # See Monitoring::Plugin itself for public interfaces.

    # Constructor
    $t = Monitoring::Plugin::Threshold->set_thresholds(
        warning  => $warning_range_string,
        critical => $critical_range_string,
    );

    # Value checking - returns CRITICAL if in the critical range,
    # WARNING if in the warning range, and OK otherwise
    $status = $t->get_status($value);

    # Accessors - return the associated N::P::Range object
    $warning_range  = $t->warning;
    $critical_range = $t->critical;

DESCRIPTION
Internal Monitoring::Plugin class for handling threshold data. See Monitoring::Plugin for public interfaces.

A threshold object contains (typically) a pair of ranges, associated with a particular severity e.g.

  warning  => range1
  critical => range2

AUTHOR
This code is maintained by the Monitoring Plugin Development Team: see https://monitoring-plugins.org

COPYRIGHT AND LICENSE
Copyright (C) 2014 by Monitoring Plugin Team Copyright (C) 2006-2014 by Nagios Plugin Development Team

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.